import { world, system } from "@minecraft/server";

let godTime = 57;
let one = true;

system.runInterval(()=> {
  const overworld = world.getDimension("overworld");
  overworld.runCommandAsync("tp @a[tag=dead] ~ ~100 ~");
  overworld.runCommand("camera @a[tag=dead] fade time 0 2 0 color 0 0 0");
  overworld.runCommand(`title @a[tag=dead] actionbar "Que vuestros pecados sean perdonados\npor vuestra propia mano,\npues ningún ser supremo mostrará clemencia\na quienes osan arrebatar el don divino:\nla vida misma."`);
  
}, 10);

world.afterEvents.entityDie.subscribe(ev => {
  const player = ev.damageSource.damagingEntity;
  const die = ev.deadEntity;
  if (!player || !die) return;
  if (player.typeId == "minecraft:player") {
    if (one) {
      one = false;
      system.runTimeout(() => {
       player.runCommandAsync("gamerule sendcommandfeedback false");
       player.runCommandAsync("playsound god_coming @a");
       player.runCommandAsync("fog @a push shx:fog_dark dark");
        const godT = system.runInterval(() => {
        if (godTime > 0) {
          player.runCommandAsync(`title @a actionbar §4God is coming: ${godTime}.0s`);
          godTime--;
          }
          if (godTime == 0) {
            player.runCommandAsync("title @a actionbar §4GOD IS HERE");
            world.sendMessage("§gGOD IS HERE");
            world.sendMessage("§gGOD IS HERE");
            world.sendMessage("§gGOD IS HERE");
            player.runCommandAsync("playsound god_cerca @a");
            player.runCommandAsync("summon tg:god ~20 ~40 ~20");
            player.runCommandAsync("camera @a[r=50] fade time 1 1 1 color 0 0 0");
            player.runCommandAsync("camerashake add @a[r=50] 0.2 30 positional");
            system.clearRun(godT);
          }
        }, 20);
        const godTp = system.runInterval(() => {
          player.runCommandAsync("execute as @e[family=mob] at @s run tp @s ~~~ ~~");
          player.runCommandAsync("execute as @e[family=monster] at @s run tp @s ~~~ ~~");
          player.runCommandAsync("time add 10");
          if (godTime == 0) {
           system.clearRun(godTp);
          }
        });
      }, 20);
    }
  } else if (player.typeId == "tg:god" && die.typeId == "minecraft:player") {
  die.runCommand("camera @s fade time 1 10 1 color 0 0 0");
  die.runCommand("title @s title GameOver\n§aYou Win");
  system.runTimeout(()=> {
  die.runCommand("tag @s add dead");
  }, 20 * 5);
  } else {
  }
});

